import request from '@/utils/request'

// 查询喂养食品类型列表
export function listAppFeedingFoodType(query) {
  return request({
    url: '/model/AppFeedingFoodType/list',
    method: 'get',
    params: query
  })
}

// 查询喂养食品类型详细
export function getAppFeedingFoodType(feedingFoodTypeId) {
  return request({
    url: '/model/AppFeedingFoodType/' + feedingFoodTypeId,
    method: 'get'
  })
}

// 新增喂养食品类型
export function addAppFeedingFoodType(data) {
  return request({
    url: '/model/AppFeedingFoodType',
    method: 'post',
    data: data
  })
}

// 修改喂养食品类型
export function updateAppFeedingFoodType(data) {
  return request({
    url: '/model/AppFeedingFoodType',
    method: 'put',
    data: data
  })
}

// 删除喂养食品类型
export function delAppFeedingFoodType(feedingFoodTypeId) {
  return request({
    url: '/model/AppFeedingFoodType/' + feedingFoodTypeId,
    method: 'delete'
  })
}
